ROC-DynamicDisplays - Bug #10190
Remove browser.sessionrestore.resumefromcrash -- "Well, This is embarrassing”
09/18/2015 12:55 PM - Elliott McCrory

Status: Closed Start date: 09/18/2015
Priority: Low Due date:

Assignee: Elliott McCrory % Done: 0%
Category: Firefox Support Estimated time: 4.00 hours
Target version:

Description

In some situations, the instances of Firefox will start and not quite know what to do. For example, the network is down or something.
Also, there is usually a moment or two between starting Firefox and the Java process being able to tell it what to do. In this situation,
Firefox starts with a message that starts with, "Well, this is embarrassing." Too smart by half, Firefox is!

The fix for this is to manipulate the configuration of each instance of Firefox. This is tedious, but simple.

1. Start Firefox in safe mode, and using the profile of each instance that may be used
o firefox -safe-mode -PDynamicDisplay
o firefox -safe-mode -PDynamicDisplay2

2. In the address bar, go to the address, "about:config”

3. Search for "browser.sessionstore.resumefromcrash” on the page

4. Click on this line so that the value turns to "false"

5. Exit Firefox

6. restart the Display software.

History

#1 - 09/18/2015 01:04 PM - Elliott McCrory
- Category set to Firefox Support

#2 - 05/15/2018 12:36 PM - Elliott McCrory

The "Well, this is embarrassing" message seems to be untouchable.

#3 - 10/17/2018 12:35 PM - Elliott McCrory

- Status changed from New to Closed

The problem is different with the new Firefox 60.X and with the Selenium framework. There is no longer this silly message, probably because |
always start with the same, bland page.
